<?php

    require_once 'ContasaPagar.php';
    require_once 'SisNotasSQL.php';
    require_once 'SoftcomData.php';
    require_once 'conexaoSQL.php';

    $SoftocomData = new Softcom();

    $historico = htmlspecialchars($_POST['historico']);
    $subCatedoria = htmlspecialchars($_POST['subcategoria']); 
    $observacao = htmlspecialchars($_POST['obs']);


    $ContasaPagar = new recorrenciaContasaPagar();
    $ContasaPagar->historico = $historico;
    $ContasaPagar->subCategoriaCod = $subCatedoria;
    $ContasaPagar->observacao = $observacao;
 
    
    
    $nomecategoria = $ContasaPagar->categoria = $SoftocomData->BuscarSubCategoriasCod($subCatedoria);  
    foreach ($nomecategoria as $cat){ $nomecategoria =  $cat['Nomes'];}
    $ContasaPagar->categoria = $nomecategoria;

    



    $ContasaPagar->categoria = $nomecategoria;

    $sisnotas = new SisNotasSQL();
    $result = $sisnotas->criarRecorrencia($ContasaPagar);

    if($result){
        header("Location: ../../recorrenciaContasaPagar.php");
    }   

